From 63921ef3aad4bd33ed533de510dde3798a9ed0fb Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Mon, 29 Jun 2009 11:59:36 +0200
Subject: [PATCH] Bugfix for ARM

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 libmikmod-arm-math.patch |   17 +++++++++++++++++
 libmikmod.spec           |    8 +++++++-
 2 files changed, 24 insertions(+), 1 deletions(-)
 create mode 100644 libmikmod-arm-math.patch

diff --git a/libmikmod-arm-math.patch b/libmikmod-arm-math.patch
new file mode 100644
index 0000000..627ef70
--- /dev/null
+++ b/libmikmod-arm-math.patch
@@ -0,0 +1,17 @@
+diff -dur libmikmod-3.2.0-beta2.backup/configure.in libmikmod-3.2.0-beta2/configure.in
+--- libmikmod-3.2.0-beta2.backup/configure.in	2009-06-29 11:05:23.646557377 +0200
++++ libmikmod-3.2.0-beta2/configure.in	2009-06-29 11:11:58.406554529 +0200
+@@ -654,6 +654,12 @@
+ 	fi
+ fi
+ 
++
++if test `echo $host_cpu | grep ^arm`
++then
++	LIBRARY_LIB="-lm $LIBRARY_LIB"
++fi
++
+ # If compiling with gcc, use adequate optimization flags
+ if test $ac_cv_prog_gcc = yes
+ then
+
diff --git a/libmikmod.spec b/libmikmod.spec
index ecf5ecc..fc898be 100644
--- a/libmikmod.spec
+++ b/libmikmod.spec
@@ -1,7 +1,7 @@
 Summary: A MOD music file player library
 Name: libmikmod
 Version: 3.2.0
-Release: 4.beta2%{?dist}
+Release: 4.beta2%{?dist}.fa1
 License: GPLv2 and LGPLv2+
 Group: Applications/Multimedia
 Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -14,6 +14,7 @@ Patch2:  libmikmod-strip-lib.patch
 Patch3:  libmikmod-multilib.patch
 Patch4:  libmikmod-autoconf.patch
 Patch5:  libmikmod-info.patch
+Patch100: libmikmod-arm-math.patch
 
 %description
 libmikmod is a library used by the mikmod MOD music file player for
@@ -39,8 +40,10 @@ applications for mikmod.
 %patch3 -p1 -b .multilib
 %patch4 -p1 -b .autoconf
 %patch5 -p1 -b .info
+%patch100 -p1 -b .arm
 
 %build
+autoconf
 %configure
 make %{?_smp_flags}
 
@@ -80,6 +83,9 @@ fi
 %{_mandir}/man1/libmikmod-config*
 
 %changelog
+* Mon Jun 29 2009 Jitesh shah <jiteshs@marvell.com> - 3.2.0-4.beta2.fa1
+- Bug fix for ARM
+
 * Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-4.beta2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-- 
1.5.5.6

